# Class: openvswitch::install
#
# This module manages Openvswitch package installation
#
# Parameters:
#
# There are no default parameters for this class.
#
# Actions:
#
# Requires:
#
# Sample Usage:

# This class file is not called directly


class openvswitch::install {
  case $::osfamily {
    Debian: {
      $packages = [
        'openvswitch-switch'
      ]
    }
    default: {
      fail("Unsupported osfamily: ${::osfamily}. Module supports Debian/Ubuntu")
    }
  }
  package { $packages:
    ensure => latest,
  }
}
